'use strict';

var _baseCreate = require('./_baseCreate.js');
var _getPrototype = require('./_getPrototype.js');
var _isPrototype = require('./_isPrototype.js');

/**
 * Initializes an object clone.
 *
 * @private
 * @param {Object} object The object to clone.
 * @returns {Object} Returns the initialized clone.
 */
function initCloneObject(object) {
  return (typeof object.constructor == 'function' && !_isPrototype(object))
    ? _baseCreate(_getPrototype(object))
    : {};
}

module.exports = initCloneObject;
